--YZ5djTAD1cGYuMQK
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sun, Oct 31, 2010 at 03:42:02AM +0900, Luis Lavena wrote:
> Hello,
> 
> I would like to resurrect the conversation from [ruby-core:32634],
> related to Ruby 1.9 Bug report #3889.
> 
> RubyInstaller depends on the successful compilation of Ruby under
> MinGW. Not only native compilation but also been able to cross-compile
> it, so Linux/OSX developers can test and create libraries for Windows
> users.
> 
> With that in mind and considering our previous collaborations to Ruby,
> would like to step up as maintainer of the MinGW support of Ruby main
> branches: 1.8.7, 1.9.2 and trunk.
> 
> Considering some of these changes could affect mswin32 and mswin64
> support, I believe sending my first commits for approval by usa and
> nobu to ruby-core before committing.
> 
> There are some issues in relation to MinGW support that are blockers
> for RubyInstaller.
> 
> Please consider my position for this role.
> 
> Looking forward for your answers and comments.

IMHO, RubyInstaller is *very* important to the Ruby community and we
shouldn't release a version of Ruby that can't be built as
RubyInstaller.

I think you should follow the instructions here:

  http://redmine.ruby-lang.org/wiki/8/CommitterHowto

The worst that can happen is matz says no. ;-)

-- 
Aaron Patterson
http://tenderlovemaking.com/

--YZ5djTAD1cGYuMQK
Content-Type: application/pgp-signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (Darwin)

iQEcBAEBAgAGBQJMzHWiAAoJEJUxcLy0/6/GjEEH+gJz2B50qz+EPdabWdsEspJy
HmLqt+N4tvjc+FAU6eW7FGXg2C2PnOlk07c5OIgru4taEPZ/CqfuzeF4gDRn7sgI
1AtINWQXlQ9Mf6f99FHRBSnQCkJwR4bxleSKfufgxheyXsv6ugTC4SPSLNH0G/Pi
lELH6vbi/yCS4HisKPpB8i6k0r5/bnl4uhnejyGBoDog1sovXT7N5VLF2rNeKT+2
qidy26wYOpuJ1E0AD4Ht4OMzkOfbj/BybV4vveRwqdgZq/BpFxTZKva57zkS6EB7
fSVtwF6watJp4dabV650UNX+nCuZEz3Sxm0FP3/ie1od/gtJFJ56XFZjhdqpVF4d/
-----END PGP SIGNATURE-----

--YZ5djTAD1cGYuMQK--